# Class AddressBalanceInfo

#### Hierarchy

- unknown
  - AddressBalanceInfo

- Defined in src/protobuf/grpc_pb.d.ts:3672
- Defined in src/protobuf/grpc_pb.d.ts:3693

#####
Index

### Constructors

constructor

### Methods

getAddress
getBalance
getIsAddressUnused
getNumConfirmations
serializeBinary
setAddress
setBalance
setIsAddressUnused
setNumConfirmations
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new AddressBalanceInfo(): AddressBalanceInfo

- #### Returns AddressBalanceInfo

  Inherited from jspb.Message.constructor

## Methods

### getAddress

- getAddress(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:3673

### getBalance

- getBalance(): number

- #### Returns number

  - Defined in src/protobuf/grpc_pb.d.ts:3676

### getIsAddressUnused

- getIsAddressUnused(): boolean

- #### Returns boolean

  - Defined in src/protobuf/grpc_pb.d.ts:3682

### getNumConfirmations

- getNumConfirmations(): number

- #### Returns number

  - Defined in src/protobuf/grpc_pb.d.ts:3679

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:3685

### setAddress

- setAddress(value: string): AddressBalanceInfo

- #### Parameters

  - ##### value: string

  #### Returns AddressBalanceInfo

  - Defined in src/protobuf/grpc_pb.d.ts:3674

### setBalance

- setBalance(value: number): AddressBalanceInfo

- #### Parameters

  - ##### value: number

  #### Returns AddressBalanceInfo

  - Defined in src/protobuf/grpc_pb.d.ts:3677

### setIsAddressUnused

- setIsAddressUnused(value: boolean): AddressBalanceInfo

- #### Parameters

  - ##### value: boolean

  #### Returns AddressBalanceInfo

  - Defined in src/protobuf/grpc_pb.d.ts:3683

### setNumConfirmations

- setNumConfirmations(value: number): AddressBalanceInfo

- #### Parameters

  - ##### value: number

  #### Returns AddressBalanceInfo

  - Defined in src/protobuf/grpc_pb.d.ts:3680

### toObject

- toObject(includeInstance?: boolean): AddressBalanceInfo.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns AddressBalanceInfo.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:3686

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): AddressBalanceInfo

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns AddressBalanceInfo

  - Defined in src/protobuf/grpc_pb.d.ts:3689

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: AddressBalanceInfo, reader: BinaryReader): AddressBalanceInfo

- #### Parameters

  - ##### message: AddressBalanceInfo

  - ##### reader: BinaryReader

  #### Returns AddressBalanceInfo

  - Defined in src/protobuf/grpc_pb.d.ts:3690

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: AddressBalanceInfo, writer: BinaryWriter): void

- #### Parameters

  - ##### message: AddressBalanceInfo

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:3688

### `Static` toObject

- toObject(includeInstance: boolean, msg: AddressBalanceInfo): AddressBalanceInfo.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: AddressBalanceInfo

  #### Returns AddressBalanceInfo.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:3687

Generated using TypeDoc